<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
		PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
		"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hr.repository.jpa.TestJpa">

	<resultMap type="com.hr.repository.domain.TestEntity" id="TestResult">
		<id     property="id"         column="id"        />
		<result property="name"       column="name"      />

	</resultMap>



	<select id="queryMylist">
		select id,name
		from test
		<where>
			<if test="id != null and id != ''">
				AND id !=  #{id}
			</if>

		</where>
	</select>

	<select id="queryMylist2">
		select id,name
		from test
		<where>
			<if test="id2 != null and id2 != ''">
				AND id !=  #{id2}
			</if>

		</where>
	</select>



</mapper> 